%define _disable_ld_no_undefined 1
%define Werror_cflags %nil

Name:           libgtk-java
Version:        2.10.2
Release:        %mkrel 8.0.3
Epoch:          0
Summary:        Java bindings for GTK+
License:        LGPLv2
Group:          System/Libraries
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgtk-java/2.10/libgtk-java-%{version}.tar.bz2
Source1:        libgtk-java-2.10.2.md5sum
Source2:        libgtk-java-2.10.2.news
Source3:        java-gnome-macros.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  cairo-java-devel >= 0:1.0.8
BuildRequires:  docbook-utils
BuildRequires:  docbook-dtd31-sgml
BuildRequires:  glib-java-devel >= 0:0.4.2
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-rpmbuild
BuildRequires:  libgtk+2.0-devel
BuildRequires:  java-gcj-compat-devel

%description
libgtk-java is a language binding that allows developers to write GTK
applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Conflicts:      libgtk-java < 2.10.2-3

%description    devel
Development files for %{name}.

%prep
%setup -q
%setup -q -T -D -a 3

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAVAH=%{_jvmdir}/java-rpmbuild/bin/javah
export JAR=%{jar}
export JAVADOC=%{javadoc}
export GCJ=%{gcj}
export JAVAFLAGS=-Xmx512m
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
# workaround:
# libtool does not use pic_flag when compiling, so we have to force it.
export GCJFLAGS="-O2 -fPIC"
%{configure2_5x} --with-jardir=%{_javadir}
make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING doc/FAQ.html NEWS README THANKS
%{_libdir}/libgtkjava-*.so
%{_libdir}/libgtkjni-*.so
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%version
%{_javadir}/*.zip
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/macros
%{_datadir}/%{name}/macros/*.m4
%dir %{_includedir}/libgtk-java
%{_includedir}/libgtk-java/*
%{_libdir}/libgtkjava.so
%{_libdir}/libgtkjni.so
%{_libdir}/*la
%{_libdir}/pkgconfig/*


%changelog
* Sat Oct 31 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.10.2-8.0.3mdv2010.0
+ Revision: 460307
- Fix build (really)
- Fix build

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild for new libgcj

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Alexander Kurtakov <akurtakov@mandriva.org>
    - bump memory
    - fix build

  + David Walluck <walluck@mandriva.org>
    - birthday rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:2.10.2-3mdv2008.0
+ Revision: 46738
- fix group
- remove requires that are handled automatically
- buildrequires java-compat-devel for correct gcj
- use %%gcj
- move .so, .la, pkgconfig, headers, api docs, m4 macros, examples to -devel package
- use headers provided by java-gcj-compat-devel instead of libgcj


* Thu Jan 11 2007 David Walluck <walluck@mandriva.org> 2.10.2-2mdv2007.0
+ Revision: 107593
- rebuild
- cleanup
- 2.10.2

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdv2007.1
+ Revision: 96109
- 2.10.1

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:2.10.0-1mdv2007.1
+ Revision: 76498
- 2.10.0

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:2.9.3-2mdv2007.1
+ Revision: 66131
- bump release
- spec cleanup
- 2.9.3
- Import libgtk-java

* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-4mdv2007.0
- enable debug package

* Sat Aug 26 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-3mdv2007.0
- rebuild

* Sat Aug 26 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-1mdv2007.0
- 2.8.6

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 2.8.5-1
- 2.8.5

* Fri May 26 2006 David Walluck <walluck@mandriva.org> 0:2.8.4-2mdv2007.0
- rebuild for libgcj.so.7

* Wed Apr 19 2006 David Walluck <walluck@mandriva.org> 0:2.8.4-1mdk
- 2.8.4

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:2.8.3-1mdk
- 2.8.3

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.8.2-2mdk
- add more BuildRequires

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.8.2-1mdk
- 2.8.2

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-4mdk
- add docbook to BuildRequires

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-3mdk
- BuildRequires: java-devel

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-2mdk
- add %%{_javadir} macro

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-1mdk
- 2.8.1

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0:2.8.0-2mdk
- fix BuildRequires

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0:2.8.0-1mdk
- 2.8.0

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:2.6.2-1.1mdk
- release

* Sat May 21 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-3
- Fix permissions of src.zip.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-2
- Add compressed java source to devel package.

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.2-1
- Import libgtk-java 2.6.2.

* Sun Apr 03 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1.1-1
- Import libgtk-java 2.6.1.1.

* Wed Mar 16 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1-3
- Import libgtk-java 2.6.1.

* Fri Mar 04 2005 Thomas Fitzsimmons <fitzsim@thor.perf.redhat.com> 2.6.0-3
- Add x86_64.

* Fri Mar 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-2
- Remove x86_64.
- Remove ppc64.
- Require java-devel for build, for javadoc.

* Wed Mar 02 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-1
- Import libgtk-java 2.6.0.
- Add ppc and ppc64.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91.1-1
- Import libgtk-java 2.5.91.1.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-2
- Only build on i386 and x86_64.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-1
- Import libgtk-java 2.5.91.

* Fri Feb 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Remove java-devel build requirement.
- Remove patch.
- Fix files section.

* Mon Jan 31 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Add patch to work around build failure.

* Thu Jan 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Import libgtk-java release 2.5.90.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-6
- Install examples directory by itself, not under doc.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-5
- Rewrite description.
- Fix location of run-example patch.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-4
- Build on ppc.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-3
- Don't build on ppc.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-2
- Bump release number.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-1
- Update to 2.4.5.
- Only build on 32-bit architectures.

* Mon Oct 18 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-2
- Few cleanups.

* Sat Oct 09 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-1
- Initial release.

